#include <jni.h>
#include <string>
#include <sys/system_properties.h>
// 日志打印
#include <android/log.h>

#define LOG_TAG "TAG_LOG"
#define LOGI(...) __android_log_print(ANDROID_LOG_ERROR, LOG_TAG, __VA_ARGS__)

extern "C"
JNIEXPORT jstring JNICALL
Java_com_ttstd_dialer_utils_NativeUtils_getKey(JNIEnv *env, jclass clazz) {
    std::string key = "Ls0HSh9fNfeZ8Qu5";
    return env->NewStringUTF(key.c_str());
}

extern "C"
JNIEXPORT jstring JNICALL
Java_com_ttstd_dialer_utils_NativeUtils_getBindStatuSigCode(JNIEnv *env, jclass clazz) {
    std::string key = "tongtongstudio";
    return env->NewStringUTF(key.c_str());
}

extern "C"
JNIEXPORT jstring JNICALL
Java_com_ttstd_dialer_utils_NativeUtils_getQWeatherUrl(JNIEnv *env, jclass clazz) {
    std::string key = "nr4wcrp6av.re.qweatherapi.com";
    return env->NewStringUTF(key.c_str());
}

extern "C"
JNIEXPORT jstring JNICALL
Java_com_ttstd_dialer_utils_NativeUtils_getQWeatherPrivateKey(JNIEnv *env, jclass clazz) {
    std::string key = "MC4CAQAwBQYDK2VwBCIEIBSTXI5L8P9x6fhhFn7zC82dMkDisIqb/QBlUOU20YTl";
    return env->NewStringUTF(key.c_str());
}

extern "C"
JNIEXPORT jstring JNICALL
Java_com_ttstd_dialer_utils_NativeUtils_getQWeatherProjectId(JNIEnv *env, jclass clazz) {
    std::string key = "44KXE67QXE";
    return env->NewStringUTF(key.c_str());
}

extern "C"
JNIEXPORT jstring JNICALL
Java_com_ttstd_dialer_utils_NativeUtils_getQWeatherCredentialId(JNIEnv *env, jclass clazz) {
    std::string key = "KB5C8PK5TY";
    return env->NewStringUTF(key.c_str());
}